Author Topic: Net_IDNA2: NOT OK Ubuntu, Nginx, and Roundcube Install  (Read 682 times)

Offline tyzenker

  • Newbie
  • *
  • Posts: 4
Net_IDNA2: NOT OK Ubuntu, Nginx, and Roundcube Install
« on: December 17, 2016, 12:14:42 AM »
When I try to install Roundcube, it shows that I have a single error.  It says, "Net_IDNA2:  NOT OK(Failed to load class Net_IDNA2 from pear.php.net; See http://pear.php.net/package/Net_IDNA2)"

All my PHP and libraries seem to be installed.  Below is a screen shot.  Currently running Ubuntu 16.04 / Nginx.

Do you know how I can fix this?

Offline rm13

  • Full Member
  • ***
  • Posts: 51
Re: Net_IDNA2: NOT OK Ubuntu, Nginx, and Roundcube Install
« Reply #1 on: December 20, 2016, 06:52:41 PM »
What version of Roundcube are you installing?

According to some old Debian bugs it looks like the php5-intl package would handle the Net_IDNA2 class.


Offline tyzenker

  • Newbie
  • *
  • Posts: 4
Re: Net_IDNA2: NOT OK Ubuntu, Nginx, and Roundcube Install
« Reply #2 on: December 22, 2016, 06:35:20 AM »
What version of Roundcube are you installing?

According to some old Debian bugs it looks like the php5-intl package would handle the Net_IDNA2 class.

Version Levels:

php 7.0.8
Roundcube ver 1.2-beta

So, are you saying that I need to install the php 5 package along side php 7?  So, I need both php versions running for this to work?

If php 7 doesn't have net_IDNA2 class, how would I get this to work?

Offline alec

  • Hero Member
  • *****
  • Posts: 968
Re: Net_IDNA2: NOT OK Ubuntu, Nginx, and Roundcube Install
« Reply #3 on: December 22, 2016, 07:22:37 AM »
Why you're installing beta if there are stable releases for this branch? Anyway, you need Net_IDNA2 which is a PEAR library or php-intl extension. Why don't you use composer?

Offline tyzenker

  • Newbie
  • *
  • Posts: 4
Re: Net_IDNA2: NOT OK Ubuntu, Nginx, and Roundcube Install
« Reply #4 on: December 24, 2016, 01:24:56 PM »
Why you're installing beta if there are stable releases for this branch? Anyway, you need Net_IDNA2 which is a PEAR library or php-intl extension. Why don't you use composer?

Interesting.  I will try it out.  Thank you.

Offline tyzenker

  • Newbie
  • *
  • Posts: 4
Re: Net_IDNA2: NOT OK Ubuntu, Nginx, and Roundcube Install
« Reply #5 on: December 24, 2016, 01:28:52 PM »
When I try to install Roundcube, it shows that I have a single error.  It says, "Net_IDNA2:  NOT OK(Failed to load class Net_IDNA2 from pear.php.net; See http://pear.php.net/package/Net_IDNA2)"

All my PHP and libraries seem to be installed.  Below is a screen shot.  Currently running Ubuntu 16.04 / Nginx.

Do you know how I can fix this?

It turns out that it wasn't a true "Net_IDNA2" error.  It was caused by a permission problem for two files:

1) config.inc.php
2) debian-db.php

I had to change the ownership of those files to the user that runs roundcube (it can differ depending on the install).  After I changed the ownership of those two files, the "Net_IDNA2" error disappeared and the Roundcube page popped right up.